sayren Docs
비회원 주문

비회원 주문 전체 행동 실행

본문의 연락처·주문 조회 비밀번호로 비회원 주문을 확인한 뒤 주문 전체 행동을 실행한다. 확인 규칙과 시도 한도는 비회원 주문 조회와 같다.

POST
/storefront/v1/guest/orders/{orderId}/actions/{key}

본문의 연락처·주문 조회 비밀번호로 비회원 주문을 확인한 뒤 주문 전체 행동을 실행한다. 확인 규칙과 시도 한도는 비회원 주문 조회와 같다.

Authorization

headerAuthorizationBearer <token>

회원 accessToken

Path Parameters

orderId*string
key*string

Request Body

application/json
  1. body
input?
phone*string
orderPassword*string

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X POST 'https://api.sayren.io/storefront/v1/guest/orders/string/actions/string' \  -H 'Content-Type: application/json' \  -d '{  "phone": "string",  "orderPassword": "string"}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "orderId": "string",    "key": "string",    "results": [      {        "orderItemId": "string",        "status": "COMPLETED",        "reason": "string",        "message": "string"      }    ]  },  "error": null}